@use "../theme";
@use "../mixins";

.w-50 {
    @media only screen and (min-width: theme.$sm) {
        width: 50%;
    }
}

.w-100 {
    width: 100%;
}

.column-60 {
    width: 100%;

    @media only screen and (min-width: theme.$sm) {
        width: 60%;
    }
}

.column-80 {
    width: 100%;

    @media only screen and (min-width: theme.$sm) {
        width: 80%;
    }
}

.align-self-end {
    align-self: flex-end;
}

.vertical-sm {
    display: flex;
    flex-direction: column;

    @media only screen and (min-width: theme.$sm) {
        flex-direction: row;
    }
}

.list-reset {
    @include mixins.list-reset;
}

.hide-upto-sm {
    @media only screen and (max-width: theme.$sm) {
        display: none;
    }
}

.hide-from-sm {
    @media only screen and (min-width: theme.$sm) {
        display: none;
    }
}

.py-xl {
    padding-top: theme.$spacing09;
    padding-bottom: theme.$spacing09;

    @media only screen and (min-width: theme.$sm) {
        padding-top: theme.$spacing11;
        padding-bottom: theme.$spacing11;
    }
}

.my-xl {
    margin-top: theme.$spacing09;
    margin-bottom: theme.$spacing09;

    @media only screen and (min-width: theme.$sm) {
        margin-top: theme.$spacing11;
        margin-bottom: theme.$spacing11;
    }
}

.two-columns {
    display: flex;
    flex-direction: column;
    align-items: flex-start;

    >* {
        width: 100%;
    }

    @media only screen and (min-width: theme.$sm) {
        align-items: flex-start;
        flex-direction: row;
        justify-content: space-between;

        >* {
            width: 50%;
        }

        > :first-child {
            margin-right: theme.$spacing04;
        }

        > :last-child {
            margin-left: theme.$spacing04;
        }
    }
}
